DataLine.Info (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.sampled
Class DataLine.Info

    java.lang.Object
      |
      +--javax.sound.sampled.Line.Info
            |
            +--javax.sound.sampled.DataLine.Info

Enclosing class:
  DataLine

public static class DataLine.Info
extends Line.Info

Besides the class information inherited from its superclass, `DataLine.Info` provides additional information specific to data lines. This information includes:

- the audio formats supported by the data line
- the minimum and maximum sizes of its internal buffer

Because a `Line.Info` knows the class of the line its describes, a `DataLine.Info` object can describe `DataLine` subinterfaces such as ``SourceDataLine``, ``TargetDataLine``, and ``Clip``. You can query a mixer for lines of any of these types, passing an appropriate instance of `DataLine.Info` as the argument to a method such as ``Mixer.getLine(Line.Info)``.

Since:
  1.3
See Also:
  `Line.Info`

Constructor Summary
`DataLine.Info(Class lineClass, AudioFormat format)` Constructs a data line's info object from the specified information, which includes a single audio format.
`DataLine.Info(Class lineClass, AudioFormat[] formats, int minBufferSize, int maxBufferSize)` Constructs a data line's info object from the specified information, which includes a set of supported audio formats and a range for the buffer size.
`DataLine.Info(Class lineClass, AudioFormat format, int bufferSize)` Constructs a data line's info object from the specified information, which includes a single audio format and a desired buffer size.

Method Summary
`AudioFormat[]` | `getFormats()` Obtains a set of audio formats supported by the data line.
`int` | `getMaxBufferSize()` Obtains the maximum buffer size supported by the data line.
`int` | `getMinBufferSize()` Obtains the minimum buffer size supported by the data line.
`boolean` | `isFormatSupported(AudioFormat format)` Indicates whether this data line supports a particular audio format.
`boolean` | `matches(Line.Info info)` Determines whether the specified info object matches this one.
`String` | `toString()` Obtains a textual description of the data line info.

Methods inherited from class javax.sound.sampled.Line.Info
`getLineClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataLine.Info

    public DataLine.Info(Class lineClass,
                         AudioFormat[] formats,
                         int minBufferSize,
                         int maxBufferSize)

  Constructs a data line's info object from the specified information, which includes a set of supported audio formats and a range for the buffer size. This constructor is typically used by mixer implementations when returning information about a supported line.

Parameters:
  `lineClass` - the class of the data line described by the info object
  `formats` - set of formats supported
  `minBufferSize` - minimum buffer size supported by the data line, in bytes
  `maxBufferSize` - maximum buffer size supported by the data line, in bytes

### DataLine.Info

    public DataLine.Info(Class lineClass,
                         AudioFormat format,
                         int bufferSize)

  Constructs a data line's info object from the specified information, which includes a single audio format and a desired buffer size. This constructor is typically used by an application to describe a desired line.

Parameters:
  `lineClass` - the class of the data line described by the info object
  `format` - desired format
  `bufferSize` - desired buffer size in bytes

### DataLine.Info

    public DataLine.Info(Class lineClass,
                         AudioFormat format)

  Constructs a data line's info object from the specified information, which includes a single audio format. This constructor is typically used by an application to describe a desired line.

Parameters:
  `lineClass` - the class of the data line described by the info object
  `format` - desired format

Method Detail

### getFormats

    public AudioFormat[] getFormats()

  Obtains a set of audio formats supported by the data line. Note that `isFormatSupported(AudioFormat)` might return `true` for certain additional formats that are missing from the set returned by `getFormats()`. The reverse is not the case: `isFormatSupported(AudioFormat)` is guaranteed to return `true` for all formats returned by `getFormats()`.

  Returns:
    a set of supported audio formats.
  See Also:
    `isFormatSupported(AudioFormat)`

### isFormatSupported

    public boolean isFormatSupported(AudioFormat format)

  Indicates whether this data line supports a particular audio format. The default implementation of this method simply returns `true` if the specified format matches any of the supported formats.

  Parameters:
    `format` - the audio format for which support is queried.
  Returns:
    `true` if the format is supported, otherwise `false`
  See Also:
    `getFormats()`, `AudioFormat.matches(javax.sound.sampled.AudioFormat)`

### getMinBufferSize

    public int getMinBufferSize()

  Obtains the minimum buffer size supported by the data line.

  Returns:
    minimum buffer size in bytes, or `AudioSystem.NOT_SPECIFIED`

### getMaxBufferSize

    public int getMaxBufferSize()

  Obtains the maximum buffer size supported by the data line.

  Returns:
    maximum buffer size in bytes, or `AudioSystem.NOT_SPECIFIED`

### matches

    public boolean matches(Line.Info info)

  Determines whether the specified info object matches this one. To match, the superclass match requirements must be met. In addition, this object's minimum buffer size must be at least as large as that of the object specified, its maximum buffer size must be at most as large as that of the object specified, and all of its formats must match formats supported by the object specified.

  Overrides:
    `matches` in class `Line.Info`
  Parameters:
    `info` - the info object which is being compared to this one
  Returns:
    `true` if this object matches the one specified, otherwise `false`.

### toString

    public String toString()

  Obtains a textual description of the data line info.

  Overrides:
    `toString` in class `Line.Info`
  Returns:
    a string description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.